Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/wizard/AbstractInstallerWizardPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/wizard/AbstractInstallerWizardPanel.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/wizard/AbstractInstallerWizardPanel.java	(revision 43126)
@@ -0,0 +1,174 @@
+/**
+ * gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright (C) 2007-2013 gvSIG Association.
+ *
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
+ */
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 {Prodevelop}   {Task}
+ */
+package org.gvsig.installer.swing.impl.wizard;
+
+import java.awt.BorderLayout;
+import java.io.File;
+import java.util.ArrayList;
+import java.util.List;
+import javax.swing.JButton;
+
+import javax.swing.JPanel;
+import jwizardcomponent.DefaultJWizardComponents;
+import org.gvsig.gui.beans.wizard.WizardPanel;
+import org.gvsig.gui.beans.wizard.WizardPanelActionListener;
+import org.gvsig.gui.beans.wizard.WizardPanelWithLogo;
+import org.gvsig.gui.beans.wizard.panel.OptionPanel;
+import org.gvsig.installer.swing.api.wizard.InstallerWizardPanel;
+import org.gvsig.installer.swing.api.wizard.InstallerWizardActionListener;
+
+import org.gvsig.tools.task.CancellableTask;
+
+public abstract class AbstractInstallerWizardPanel extends JPanel implements
+        InstallerWizardPanel, WizardPanel {
+
+    private static final long serialVersionUID = 5609799260650093733L;
+    private InstallerWizardActionListener wizardActionListener = null;
+    private final File applicationFolder;
+    private final File installFolder;
+    private final List<CancellableTask> cancelableTasks;
+    private WizardPanelWithLogo wizardPanelWithLogo = null;
+    private WizardListenerAdapter wizardListenerAdapter = null;
+
+    public AbstractInstallerWizardPanel(File applicationFolder, File installFolder) {
+        super();
+        this.wizardPanelWithLogo = new WizardPanelWithLogo();
+        this.applicationFolder = applicationFolder;
+        this.installFolder = installFolder;
+        this.cancelableTasks = new ArrayList<>();
+        this.wizardPanelWithLogo.setWizardListener(this);
+
+    }
+
+    protected void initComponents() {
+        this.add(this.wizardPanelWithLogo, BorderLayout.CENTER);
+        this.wizardPanelWithLogo.updatePanel();
+    }
+
+    public void addOptionPanel(OptionPanel wizardPage) {
+        this.wizardPanelWithLogo.addOptionPanel(wizardPage);
+    }
+
+    public DefaultJWizardComponents getWizardComponents() {
+        return wizardPanelWithLogo.getWizardComponents();
+    }
+
+    @Override
+    public void addCancellableTask(CancellableTask task) {
+        this.cancelableTasks.add(task);
+    }
+
+    @Override
+    public List<CancellableTask> getCancellableTasks() {
+        return this.cancelableTasks;
+    }
+
+    @Override
+    public void setWizardActionListener(
+            InstallerWizardActionListener wizardActionListener) {
+        this.wizardActionListener = wizardActionListener;
+    }
+
+    @Override
+    public InstallerWizardActionListener getWizardActionListener() {
+        return wizardActionListener;
+    }
+
+    @Override
+    public File getApplicationFolder() {
+        return applicationFolder;
+    }
+
+    @Override
+    public File getInstallFolder() {
+        return installFolder;
+    }
+
+    @Override
+    public boolean needsToRestartApplicationAfterFinish() {
+        // false by default
+        // to be overriden by subclasses
+        return false;
+    }
+
+    @Override
+    public void setNextButtonEnabled(boolean isEnabled) {
+        JButton button = getWizardComponents().getNextButton();
+        button.setEnabled(isEnabled);
+        button.repaint();
+    }
+
+    @Override
+    public void setFinishButtonEnabled(boolean isEnabled) {
+        JButton button = getWizardComponents().getFinishButton();
+        button.setEnabled(isEnabled);
+        button.repaint();
+    }
+
+    @Override
+    public void setCancelButtonEnabled(boolean isEnabled) {
+        JButton button = getWizardComponents().getCancelButton();
+        button.setEnabled(isEnabled);
+        button.repaint();
+    }
+
+    @Override
+    public void setBackButtonEnabled(boolean isEnabled) {
+        JButton button = getWizardComponents().getBackButton();
+        button.setEnabled(isEnabled);
+        button.repaint();
+    }
+
+    @Override
+    public void doAction(int action) {
+        this.wizardPanelWithLogo.doAction(action);
+    }
+
+    @Override
+    public void skip() {
+        this.wizardPanelWithLogo.skip();
+    }
+
+    @Override
+    public int getDirection() {
+        return this.wizardPanelWithLogo.getDirection();
+    }
+
+    @Override
+    public WizardPanelActionListener getWizardPanelActionListener() {
+        if (((wizardListenerAdapter == null) && (getWizardActionListener() != null))) {
+            wizardListenerAdapter = new WizardListenerAdapter(this);
+        }
+        return wizardListenerAdapter;
+    }
+
+    @Override
+    public void setWizardPanelActionListener(
+            WizardPanelActionListener wizardActionListener) {
+        // TODO Auto-generated method stub
+    }
+}

Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.ui/src/main/java/org/gvsig/gui/beans/wizard/WizardPanelWithLogo.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.ui/src/main/java/org/gvsig/gui/beans/wizard/WizardPanelWithLogo.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.ui/src/main/java/org/gvsig/gui/beans/wizard/WizardPanelWithLogo.java	(revision 43126)
@@ -38,9 +38,13 @@
 
 import org.gvsig.gui.beans.wizard.panel.OptionPanel;
 import org.gvsig.gui.beans.wizard.panel.OptionPanelContainer;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 public class WizardPanelWithLogo extends JPanel {
 
+    private static final Logger LOG = LoggerFactory.getLogger(WizardPanelWithLogo.class);
+            
     private static final long serialVersionUID = 7506729926181935234L;
     public final static int ACTION_PREVIOUS = 0;
     public final static int ACTION_NEXT = 1;
@@ -53,6 +57,7 @@
     JLabel statusLabel = new JLabel();
 
     ImageIcon logo;
+    private int direction = WizardPanelWithLogo.ACTION_NEXT;
 
     public WizardPanelWithLogo(ImageIcon logo) {
         this.logo = logo;
@@ -88,12 +93,14 @@
 
         wizardComponents.setFinishAction(new FinishAction(wizardComponents) {
 
+            @Override
             public void performAction() {
                 // dispose();
             }
         });
         wizardComponents.setCancelAction(new CancelAction(wizardComponents) {
 
+            @Override
             public void performAction() {
                 // dispose();
             }
@@ -126,10 +133,20 @@
         wizardComponents.updateComponents();
         super.setVisible(true);
     }
+    
+    public void updatePanel() {
+        try {
+            OptionPanelContainer page = (OptionPanelContainer) getWizardComponents().getCurrentPanel();
+            page.update();
+        } catch (Exception ex) {
 
+        }
+    }
+
     public void addOptionPanel(OptionPanel optionPanel) {
         getWizardComponents().addWizardPanel(
-            new OptionPanelContainer(getWizardComponents(), optionPanel));
+            new OptionPanelContainer(this, optionPanel)
+        );
     }
 
     public void setNextButtonEnabled(boolean isEnabled) {
@@ -162,4 +179,21 @@
     public void setBackButtonEnabled(boolean isEnabled) {
         getWizardComponents().getBackButton().setEnabled(isEnabled);
     }
+    
+    public int getDirection() {
+        return this.direction;
+    }
+    
+    public void setDirection(int direction) {
+        this.direction = direction;
+    }
+    
+    public void skip() {
+        int index = -1;
+        try {
+            this.doAction(this.getDirection());
+        } catch (Exception ex) {
+            LOG.warn("Can't skip current panel ("+index+").",ex);
+        }
+    }
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.ui/src/main/java/org/gvsig/gui/beans/wizard/panel/OptionPanelContainer.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.ui/src/main/java/org/gvsig/gui/beans/wizard/panel/OptionPanelContainer.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.ui/src/main/java/org/gvsig/gui/beans/wizard/panel/OptionPanelContainer.java	(revision 43126)
@@ -32,8 +32,8 @@
 
 import javax.swing.JOptionPane;
 
-import jwizardcomponent.JWizardComponents;
 import jwizardcomponent.JWizardPanel;
+import org.gvsig.gui.beans.wizard.WizardPanelWithLogo;
 
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
@@ -50,14 +50,16 @@
 public class OptionPanelContainer extends JWizardPanel {
 
     private static final long serialVersionUID = 3947658150325230122L;
+    private static final Logger LOG = LoggerFactory.getLogger(OptionPanelContainer.class);
+
     private OptionPanel optionPanel = null;
-    private static final Logger log =
-        LoggerFactory.getLogger(OptionPanelContainer.class);
-
-    public OptionPanelContainer(JWizardComponents wizardComponents,
+    private WizardPanelWithLogo wizardPanel;
+    
+    public OptionPanelContainer(WizardPanelWithLogo wizardPanel,
         OptionPanel optionPanel) {
-        super(wizardComponents);
+        super(wizardPanel.getWizardComponents());
         this.optionPanel = optionPanel;
+        this.wizardPanel = wizardPanel;
         setLayout(new BorderLayout());
         setBorder(javax.swing.BorderFactory.createCompoundBorder(
             javax.swing.BorderFactory.createTitledBorder(optionPanel
@@ -73,6 +75,8 @@
      */
     @Override
     public void back() {
+        this.wizardPanel.setDirection(WizardPanelWithLogo.ACTION_PREVIOUS);
+        LOG.debug("WizarPanel '"+this.optionPanel.getPanelTitle()+"' back.");
         optionPanel.lastPanel();
         super.back();
     }
@@ -85,12 +89,14 @@
     @Override
     public void next() {
         try {
+            this.wizardPanel.setDirection(WizardPanelWithLogo.ACTION_NEXT);
+            LOG.debug("WizarPanel '"+this.optionPanel.getPanelTitle()+"' next.");
             optionPanel.nextPanel();
             super.next();
         } catch (NotContinueWizardException e) {
             // this is not an error and not need to raise a error or
             // warning in the log.
-            log.info("It is not possible to continue with the wizard. "+e.displayMessage());
+            LOG.info("It is not possible to continue with the wizard. "+e.displayMessage());
             if (e.displayMessage()) {
                 JOptionPane.showMessageDialog(e.getComponent(), e
                     .getLocalizedMessageStack());
@@ -105,6 +111,7 @@
      */
     @Override
     public void update() {
+        LOG.debug("WizarPanel '"+this.optionPanel.getPanelTitle()+"' update, direction "+this.wizardPanel.getDirection()+".");
         optionPanel.updatePanel();
         super.update();
     }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/Launcher.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/Launcher.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/Launcher.java	(revision 43126)
@@ -32,8 +32,8 @@
 import java.awt.Toolkit;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
+import java.awt.event.WindowAdapter;
 import java.awt.event.WindowEvent;
-import java.awt.event.WindowListener;
 import java.io.BufferedOutputStream;
 import java.io.BufferedReader;
 import java.io.File;
@@ -75,7 +75,6 @@
 import java.util.Properties;
 import java.util.Set;
 import java.util.TreeSet;
-import java.util.logging.Level;
 import java.util.prefs.Preferences;
 
 import javax.swing.ImageIcon;
@@ -97,7 +96,6 @@
 import org.apache.commons.cli.PosixParser;
 import org.apache.commons.configuration.PropertiesConfiguration;
 import org.apache.commons.io.FileUtils;
-import org.apache.commons.io.input.ClassLoaderObjectInputStream;
 import org.apache.commons.lang3.JavaVersion;
 import org.apache.commons.lang3.StringUtils;
 import org.apache.commons.lang3.SystemUtils;
@@ -162,7 +160,7 @@
 import org.gvsig.installer.lib.api.PackageInfo;
 import org.gvsig.installer.lib.api.creation.MakePluginPackageServiceException;
 import org.gvsig.installer.swing.api.SwingInstallerLocator;
-import org.gvsig.installer.swing.api.execution.AbstractInstallPackageWizard;
+import org.gvsig.installer.swing.api.execution.InstallWizardPanel;
 import org.gvsig.installer.swing.api.wizard.InstallerWizardActionListener;
 import org.gvsig.installer.swing.api.wizard.InstallerWizardPanel;
 import org.gvsig.tools.ToolsLocator;
@@ -3734,20 +3732,20 @@
 
         InstallerManager installerManager = InstallerLocator.getInstallerManager();
         
-//        try {
-//            logger.info("Loading plugins configurations");
-//            this.loadPluginConfigs();
-//        } catch (Throwable ex) {
-//            logger.warn("Can't load plugins configurations", ex);
-//        }
-//
-//        try {
-//            logger.info("Loading plugins");
-//            this.loadPluginServices();
-//        } catch (Throwable ex) {
-//            logger.warn("Can't load plugins", ex);
-//        }
+        try {
+            logger.info("Loading plugins configurations");
+            this.loadPluginConfigs();
+        } catch (Throwable ex) {
+            logger.warn("Can't load plugins configurations", ex);
+        }
 
+        try {
+            logger.info("Loading plugins");
+            this.loadPluginServices();
+        } catch (Throwable ex) {
+            logger.warn("Can't load plugins", ex);
+        }
+
         AndamiConfig config = getAndamiConfig();
 
         initializeIdentityManagement(new File(config.getPluginsDirectory()).getAbsoluteFile());
@@ -3779,16 +3777,18 @@
         // Launch installer
         PluginsManager manager = PluginsLocator.getManager();
 
-        AbstractInstallPackageWizard installPackageWizard = SwingInstallerLocator
+        InstallWizardPanel installPackageWizard = SwingInstallerLocator
                 .getSwingInstallerManager().createInstallPackageWizard(
                         manager.getApplicationFolder(),
                         manager.getInstallFolder());
         installPackageWizard.setWizardActionListener(new InstallerWizardActionListener() {
+            @Override
             public void finish(InstallerWizardPanel installerWizard) {
                 logger.info("Finish installation.");
                 System.exit(0);
             }
 
+            @Override
             public void cancel(InstallerWizardPanel installerWizard) {
                 logger.info("Cancel installation.");
                 System.exit(0);
@@ -3796,45 +3796,25 @@
         });
 
         // the wizard will show the Typical or Advanced mode option.
-        installPackageWizard.setAskTypicalOrCustom(true);
+        installPackageWizard.setSkipTypicalOrAdvancedWizardPage(false);
         // default packages will be selected.
         installPackageWizard.setSelectDefaultPackages(true);
 
         JFrame frame = new JFrame(Messages.get("gvsig_package_installer"));
-
-        frame.addWindowListener(new WindowListener() {
-            public void windowOpened(WindowEvent we) {
-                logger.info("Open window installation.");
-            }
-
+        frame.addWindowListener(new WindowAdapter() {
+            @Override
             public void windowClosing(WindowEvent we) {
                 logger.info("Closing installation.");
                 System.exit(0);
             }
 
+            @Override
             public void windowClosed(WindowEvent we) {
                 logger.info("Close installation.");
                 System.exit(0);
             }
-
-            public void windowIconified(WindowEvent we) {
-            }
-
-            public void windowDeiconified(WindowEvent we) {
-            }
-
-            public void windowActivated(WindowEvent we) {
-                logger.info("Activate window installation.");
-            }
-
-            public void windowDeactivated(WindowEvent we) {
-                logger.info("Deactivate window installation.");
-            }
         });
-        //frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
-
-        frame.getContentPane().add(installPackageWizard, BorderLayout.CENTER);
-
+        frame.getContentPane().add(installPackageWizard.asJComponent(), BorderLayout.CENTER);
         URL iconURL = getClass().getResource("/images/main/install-icon.png");
         if( iconURL!=null ) {
             ImageIcon icon = new ImageIcon(iconURL);
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageWindow.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageWindow.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageWindow.java	(revision 43126)
@@ -31,8 +31,6 @@
 import java.awt.BorderLayout;
 import java.awt.Dimension;
 import java.io.File;
-import java.util.logging.Level;
-import java.util.logging.Logger;
 
 import javax.swing.JPanel;
 
@@ -40,10 +38,10 @@
 import org.gvsig.andami.ui.mdiManager.WindowInfo;
 import org.gvsig.i18n.Messages;
 import org.gvsig.installer.app.extension.utils.WindowInstallerListener;
-import org.gvsig.installer.lib.api.execution.InstallPackageServiceException;
 import org.gvsig.installer.swing.api.SwingInstallerLocator;
-import org.gvsig.installer.swing.api.execution.AbstractInstallPackageWizard;
+import org.gvsig.installer.swing.api.SwingInstallerManager;
 import org.gvsig.installer.swing.api.execution.InstallPackageWizardException;
+import org.gvsig.installer.swing.api.execution.InstallWizardPanel;
 import org.gvsig.tools.locator.LocatorException;
 
 /**
@@ -58,15 +56,19 @@
                 boolean skipBundleSelection)
 			throws LocatorException, InstallPackageWizardException {
 		super();
-		AbstractInstallPackageWizard installPackageWizard = SwingInstallerLocator
-				.getSwingInstallerManager().createInstallPackageWizard(
-						applicationFolder, installFolder);
+                SwingInstallerManager manager = SwingInstallerLocator.getSwingInstallerManager();
+		InstallWizardPanel installPackageWizard = manager.createInstallPackageWizard(
+                        applicationFolder, installFolder
+                );
 		installPackageWizard.setWizardActionListener(new WindowInstallerListener(this));
 		this.setLayout(new BorderLayout());
-                installPackageWizard.setSkipBundleSelection(skipBundleSelection);
-		add(installPackageWizard, BorderLayout.CENTER);
+                installPackageWizard.setSkipSelectBundleWizardPage(skipBundleSelection);
+                installPackageWizard.setSkipTypicalOrAdvancedWizardPage(true);
+                        
+		add(installPackageWizard.asJComponent(), BorderLayout.CENTER);
 	}
 
+        @Override
 	public WindowInfo getWindowInfo() {
 		if (windowInfo == null) {
 			windowInfo = new WindowInfo(WindowInfo.MAXIMIZABLE
@@ -79,6 +81,7 @@
 		return windowInfo;
 	}
 
+        @Override
 	public Object getWindowProfile() {
 		return WindowInfo.DIALOG_PROFILE;
 	}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java	(revision 43126)
@@ -47,18 +47,17 @@
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
-/**
- * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
- */
 public class InstallPackageExtension extends Extension {
 
     private static final Logger logger = LoggerFactory
             .getLogger(InstallPackageExtension.class);
 
+    @Override
     public void execute(String actionCommand) {
         this.execute(actionCommand, null);
     }
 
+    @Override
     public void execute(String actionCommand, Object[] args) {
 
         if ("tools-addonsmanager".equalsIgnoreCase(actionCommand)) {
@@ -76,7 +75,7 @@
 
         PluginsManager pluginManager = PluginsLocator.getManager();
         
-        String cmd = null;
+        String cmd;
         boolean useInternalAddonsManager = false;
 
         if( InstallerManager.OS.WINDOWS.equalsIgnoreCase(installManager.getOperatingSystem()) ) {
@@ -127,13 +126,14 @@
                     )
             );
         } catch (Error e) {
-            logger.error("Error creating the wizard to install a package ", e);
-        } catch (Exception e) {
-            logger.error("Error creating the wizard to install a package ", e);
+            logger.warn("Error creating the wizard to install a package ", e);
+        } catch (Throwable e) {
+            logger.warn("Error creating the wizard to install a package ", e);
         }
 
     }
 
+    @Override
     public void initialize() {
         PluginsManager pm = PluginsLocator.getManager();
         PackageInfo packageInfo = pm.getPackageInfo();
@@ -153,10 +153,10 @@
                 manager.setDefaultDownloadURL(
                         new File( pm.getPlugin(this).getPluginDirectory(),"defaultDownloadsURLs")
                 );
-                if (packageInfo != null && (packageInfo.getState().startsWith(InstallerManager.STATE.BETA)
-                        || packageInfo.getState().startsWith(InstallerManager.STATE.RC)
-                        || packageInfo.getState().equalsIgnoreCase(InstallerManager.STATE.FINAL))) {
-
+                if( packageInfo.getState().startsWith(InstallerManager.STATE.BETA) ||
+                    packageInfo.getState().startsWith(InstallerManager.STATE.RC) ||
+                    packageInfo.getState().equalsIgnoreCase(InstallerManager.STATE.FINAL) 
+                    ) {
                     String installURL = manager.getInstallerManager().getDownloadBaseURL().toString()
                             + "dists/<%Version%>/builds/<%Build%>/packages.gvspki ## Official gvSIG repository (frozen in this version)";
                     manager.addDefaultDownloadURL(installURL);
@@ -165,30 +165,33 @@
                 logger.info("Error. Can't select default gvspki", th);
             }
 
-            InputStream is = this.getClass().getResourceAsStream(
-                    "/defaultDownloadsURLs");
+            InputStream is = this.getClass().getResourceAsStream("/defaultDownloadsURLs");
             BufferedReader in = new BufferedReader(new InputStreamReader(is));
-            String line = null;
-            for (line = in.readLine(); line != null; line = in.readLine()) {
+            for (String line = in.readLine(); line != null; line = in.readLine()) {
                 try {
                     manager.addDefaultDownloadURL(line);
                 } catch (MalformedURLException e) {
-                    logger.error(
-                            "Error creating the default packages download URL pointing to "
-                            + line, e);
+                    logger.warn(
+                        "Error creating the default packages download URL pointing to " + line,
+                        e
+                    );
                 }
             }
             manager.getInstallerManager().setVersion(version);
         } catch (Throwable e) {
-            logger.error("Error reading the default packages download URL file "
-                    + "/defaultDownloadsURLs", e);
+            logger.warn(
+                "Error reading the default packages download URL file /defaultDownloadsURLs",
+                e
+            );
         }
     }
 
+    @Override
     public boolean isEnabled() {
         return true;
     }
 
+    @Override
     public boolean isVisible() {
         return true;
     }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageWindow.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageWindow.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageWindow.java	(revision 43126)
@@ -60,7 +60,7 @@
 		makePluginPackageWizard
 				.setWizardActionListener(new WindowInstallerListener(this));
 		this.setLayout(new BorderLayout());
-		add(makePluginPackageWizard, BorderLayout.CENTER);
+		add(makePluginPackageWizard.asJComponent(), BorderLayout.CENTER);
 	}
 
 	public WindowInfo getWindowInfo() {
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/SymbolInstallerProviderLibrary.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/SymbolInstallerProviderLibrary.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/SymbolInstallerProviderLibrary.java	(revision 43126)
@@ -43,10 +43,6 @@
 
     @Override
     protected void doPostInitialize() throws LibraryException {
-        ProviderManager providerManager =
-            InstallerProviderLocator.getProviderManager();
 
-        providerManager
-            .addProviderFactory(new SymbolInstallerExecutionProviderFactory());
     }
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/execution/SymbolInstallerExecutionProviderFactory.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/execution/SymbolInstallerExecutionProviderFactory.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/execution/SymbolInstallerExecutionProviderFactory.java	(revision 43126)
@@ -23,6 +23,7 @@
  */
 package org.gvsig.symbology.app.symbolinstaller.execution;
 
+import java.io.File;
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.dynobject.DynClass;
 import org.gvsig.tools.dynobject.DynObject;
@@ -38,7 +39,12 @@
     public static final String PROVIDER_DESCRIPTION = "";
 
     private DynClass dynclass;
+    private final File symbolsFolder;
 
+    public SymbolInstallerExecutionProviderFactory(File symbolsFolder) {
+        this.symbolsFolder = symbolsFolder;
+    }
+    
     @Override
     protected DynClass createParametersDynClass() {
         if (dynclass == null) {
@@ -49,7 +55,7 @@
 
     @Override
     protected Provider doCreate(DynObject parameters, ProviderServices services) {
-        return new SymbolInstallerExecutionProvider(services);
+        return new SymbolInstallerExecutionProvider(services,symbolsFolder);
     }
 
     public void initialize() {
